% "/home/jlowe/lilypond-git/input/regression/parenthesize-singlenotes-chords-rests.ly"

\header {
  texidoc = "The parenthesize function should also work on single notes (not inside chords), rests and on whole chords (each note of the chord is parenthesized). Also, parenthesizing articulations, dynamics and text markup is possible. On all other music expressions, parenthesize does not have an effect.

  Measure 1: Three parenthesized notes (staccato not parenthesized), one note with staccato in parentheses; Measure 2: Chord and two rests in parentheses (accent and markup not); Measure 3: note (no parentheses) with \p in parentheses, with text in parentheses, and note in parentheses with p not in parentheses, rest (no parentheses); Measure 4: shows that \parenthesize does not apply to other expressions like SequentialMusic"
}


\paper {
  ragged-right = ##t
}

\version "2.16.0"


\relative c'' {
  % parentheses on single notes (with articulations), inside chord and articulation
  \parenthesize c \parenthesize c-. <\parenthesize c> c-\parenthesize-. |
  % parenthesized rests and whole chords
  \parenthesize <c e g>4-> \parenthesize r \parenthesize r2^"rest" |
  % parenthesizing dynamics and text markup
  c4-\parenthesize\p c-\parenthesize-"Text" \parenthesize c\p r4 |
  % parenthesizing other music expressions does nothing
  \parenthesize {c4 c-. <c e g> r} \parenthesize|
}


**START**
Processing `parenthesize-singlenotes-chords-rests.ly'
Parsing...
[/home/jlowe/lilypond-git/build/out/share/lilypond/current/ly/init.ly
Using `nederlands' note names...
 [parenthesize-singlenotes-chords-rests.ly]
Interpreting music...
[/home/jlowe/lilypond-git/build/out/share/lilypond/current/fonts/otf/emmentaler-20.otf]
programming error: Don't know how to parenthesize spanners.
continuing, cross fingers
elapsed time: 0.00 seconds
Element count 183 (spanners 8) 
Preprocessing graphical objects...
Grob count 303
[century_schoolbook_l_3.8662109375]
[emmentaler-20_7.029296875]
[century_schoolbook_l_3.068359375]
Finding the ideal number of pages...
Fitting music on 1 page...
Drawing systems...
Element count 174
Layout output to `parenthesize-singlenotes-chords-rests.ps'...
[/home/jlowe/lilypond-git/build/out/share/lilypond/current/fonts/otf/CenturySchL-Roma.otf]
[/home/jlowe/lilypond-git/build/out/share/lilypond/current/fonts/otf/emmentaler-20.otf]
Converting to `./parenthesize-singlenotes-chords-rests.pdf'...
Invoking `gs -dSAFER -dDEVICEWIDTHPOINTS=595.28 -dDEVICEHEIGHTPOINTS=841.89 -dCompatibilityLevel=1.4 -dNOPAUSE -dBATCH -r1200 -sDEVICE=pdfwrite -sOutputFile=./parenthesize-singlenotes-chords-rests.pdf -c.setpdfwrite -fparenthesize-singlenotes-chords-rests.ps'...

GPL Ghostscript 8.71 (2010-02-10)
Copyright (C) 2010 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
]
